import Component  from '../component.js'
import CoEuiDropdownButtonMenuItems from './eui-dropdown-button-menu-Items.js'
import MatMenu from '../material/14.x/mat-menu.js'
import CdkOverlayContainer from '../cdk-overlay-container.js'

export default class CoEuiDropdownButtonChildMenu extends Component {
  overlayContainer;
    constructor(parent) {
      let selector = 'eui-dropdown-button-child-menu';
      super(parent, selector);
      this.overlayContainer = new CdkOverlayContainer('//body');
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-dropdown-button-menu/eui-dropdown-button-child-menu.component.html?at=support/13.x
    }
    get matMenuCO() {
      return new MatMenu(this.currentPath);
    }
    get euiDropdownButtonMenuItemsCO() {
      return new CoEuiDropdownButtonMenuItems(this.matMenuCO);
    }
}


